import { MatrixClient } from "matrix-js-sdk/src/matrix";
export declare function getDefaultIdentityServerUrl(): string | undefined;
export declare function setToDefaultIdentityServer(matrixClient: MatrixClient): void;
export declare function doesIdentityServerHaveTerms(matrixClient: MatrixClient, fullUrl: string): Promise<boolean>;
export declare function doesAccountDataHaveIdentityServer(matrixClient: MatrixClient): boolean;
